notConn {GOstats} | R Documentation

## Find genes that are not connected to the others.

### Description

A function that takes as input a distance matrix and finds those entries that are not connected to any others (ie. those with distance `Inf`.

### Usage

    notConn(dists)

### Arguments

`dists` | A distance matrix.

### Details

It is a very naive implementation. It presumes that not connected entries are not connected to any other entries, and this might not be true. Using the `connComp` function from the `graph` package or the `RBGL` package might be a better approach.

### Value

A vector of the names of the items that are not connected.

### Author(s)

R. Gentleman

### See Also

`connComp`

### Examples

     data(Ndists)
     notConn(Ndists)

[Package GOstats version 2.8.0 Index]